Subject: Assumptions in SCTP

From: ramon reyes <[email-masked]>
Date: Wed, 29 Dec 1999 12:29:18 -0500

I'm starting to read the documentation related with SCTP and one
interesting area that I'm trying to document is the level of "Implicit
and Explicit Assumptions" of the protocol.

Some of this assumptions might drive a protocol design that 'perhaps'
hinders, performance-wise, its chance of operability in a different
environment.

One special case is the UDP/IP dilemma also called "SCTP in the Kernel".

Do we assume UDP like the "Framework for SIGTRAN Common Transport
Protocol" states (bullet 1.2)?

Another idea is:

Has somebody addressed the possibility of SCTP over ATM? The "adaptation
modules" of the Framework reminded me the SSCF/SSCOP/CPCS/SAR/ATM
protocol stack where an "Adaptation Module" would do just what SSCF does
in Q.2130 and Q.2140 for Q.2931?

Thus, how much related areSCTP and SSCOP? Any comparative analysis?